# AP4_RtpHintSampleEntry Class Reference

`#include <Ap4SampleEntry.h>`

Inheritance diagram for AP4_RtpHintSampleEntry:

List of all members.

## Public Member Functions
| AP4_RtpHintSampleEntry (AP4_UI16 hint_track_version, AP4_UI16 highest_compatible_version, AP4_UI32 max_packet_size, AP4_UI32 timescale)
| AP4_RtpHintSampleEntry (AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)
virtual | ~AP4_RtpHintSampleEntry ()
## Protected Member Functions
virtual AP4_Size | GetFieldsSize ()
virtual AP4_Result | ReadFields (AP4_ByteStream &stream)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
## Protected Attributes
AP4_UI16 | m_HintTrackVersion
AP4_UI16 | m_HighestCompatibleVersion
AP4_UI32 | m_MaxPacketSize

## Detailed Description

Definition at line 330 of file Ap4SampleEntry.h.

## Constructor & Destructor Documentation

AP4_RtpHintSampleEntry::AP4_RtpHintSampleEntry | ( | AP4_UI16 | hint_track_version,
|  | AP4_UI16 | highest_compatible_version,
|  | AP4_UI32 | max_packet_size,
|  | AP4_UI32 | timescale |
| ) |  |  |

AP4_RtpHintSampleEntry::AP4_RtpHintSampleEntry | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  |

virtual AP4_RtpHintSampleEntry::~AP4_RtpHintSampleEntry | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AP4_Size AP4_RtpHintSampleEntry::GetFieldsSize | ( |  | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_RtpHintSampleEntry::ReadFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_RtpHintSampleEntry::WriteFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_RtpHintSampleEntry::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

## Member Data Documentation

AP4_UI16 AP4_RtpHintSampleEntry::m_HintTrackVersion`[protected]`

Definition at line 351 of file Ap4SampleEntry.h.

AP4_UI16 AP4_RtpHintSampleEntry::m_HighestCompatibleVersion`[protected]`

Definition at line 352 of file Ap4SampleEntry.h.

AP4_UI32 AP4_RtpHintSampleEntry::m_MaxPacketSize`[protected]`

Definition at line 353 of file Ap4SampleEntry.h.

The documentation for this class was generated from the following file:

- Ap4SampleEntry.h